aboutsummaryrefslogtreecommitdiffstats
path: root/test/range-003.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/range-003.sh')
-rwxr-xr-xtest/range-003.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/range-003.sh b/test/range-003.sh
new file mode 100755
index 0000000..e3768c0
--- /dev/null
+++ b/test/range-003.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '2000-01-01 00:00:00' calcurse -D data/ -r400
+elif [ "$1" = 'expected' ]; then
+ calcurse -D data/ -s01/01/2000 -r400
+else
+ ./run-test "$0"
+fi